# -*- coding: utf-8 -*-
# type: ignore
from __future__ import annotations

from django.test import Client
import pytest


@pytest.fixture
def authenticated_client(client: Client, account) -> Client:
    client.force_login(account)

    return client


@pytest.fixture
def federated_account_client(client: Client, federated_account) -> Client:
    client.force_login(federated_account)

    return client


@pytest.fixture
def account_with_password_client(client: Client, account_with_password):
    client.force_login(account_with_password)
    return client


@pytest.fixture
def inactive_account_client(client: Client, inactive_account) -> Client:
    client.force_login(inactive_account)

    return client
